cURL
curl --request POST \
--url https://gateway.7exchange.io/wallet/1.0.0/{walletId}/asset/{assetId}/operation/{operationId}/fee \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenantId: <tenantid>' \
--header 'token: <token>' \
--data '
{
"type": "<string>",
"feeValue": {
"balanceType": "<string>",
"name": "<string>",
"value": "<string>",
"ownerId": "<string>",
"instanceRef": "<string>",
"instanceBaseRef": "<string>"
},
"paidBy": "<string>",
"feeSharing": {
"source": {
"balanceType": "<string>",
"name": "<string>",
"value": "<string>",
"ownerId": "<string>",
"instanceRef": "<string>",
"instanceBaseRef": "<string>"
},
"destination": {
"balanceType": "<string>",
"name": "<string>",
"value": "<string>",
"ownerId": "<string>",
"instanceRef": "<string>",
"instanceBaseRef": "<string>"
},
"ownerId": "<string>"
},
"isDynamic": true,
"feeApiAddress": "<string>",
"group": 123,
"order": 123,
"ownerId": "<string>",
"appliedTo": "<string>",
"feeLimit": {
"enforcementPoint": "<string>",
"priority": 123,
"order": 123,
"action": "<string>",
"ownerId": "<string>",
"conditions": [
{
"priority": 123,
"order": 123,
"requirementType": "<string>",
"operation": "<string>",
"objectRef": {
"ownerId": "<string>",
"name": "<string>",
"type": 123,
"value": "<string>"
},
"value": {
"ownerId": "<string>",
"name": "<string>",
"type": 123,
"value": "<string>"
},
"ownerId": "<string>"
}
]
},
"defaultApiFee": {
"balanceType": "<string>",
"name": "<string>",
"value": "<string>",
"ownerId": "<string>",
"instanceRef": "<string>",
"instanceBaseRef": "<string>"
}
}
'import requests
url = "https://gateway.7exchange.io/wallet/1.0.0/{walletId}/asset/{assetId}/operation/{operationId}/fee"
payload = {
"type": "<string>",
"feeValue": {
"balanceType": "<string>",
"name": "<string>",
"value": "<string>",
"ownerId": "<string>",
"instanceRef": "<string>",
"instanceBaseRef": "<string>"
},
"paidBy": "<string>",
"feeSharing": {
"source": {
"balanceType": "<string>",
"name": "<string>",
"value": "<string>",
"ownerId": "<string>",
"instanceRef": "<string>",
"instanceBaseRef": "<string>"
},
"destination": {
"balanceType": "<string>",
"name": "<string>",
"value": "<string>",
"ownerId": "<string>",
"instanceRef": "<string>",
"instanceBaseRef": "<string>"
},
"ownerId": "<string>"
},
"isDynamic": True,
"feeApiAddress": "<string>",
"group": 123,
"order": 123,
"ownerId": "<string>",
"appliedTo": "<string>",
"feeLimit": {
"enforcementPoint": "<string>",
"priority": 123,
"order": 123,
"action": "<string>",
"ownerId": "<string>",
"conditions": [
{
"priority": 123,
"order": 123,
"requirementType": "<string>",
"operation": "<string>",
"objectRef": {
"ownerId": "<string>",
"name": "<string>",
"type": 123,
"value": "<string>"
},
"value": {
"ownerId": "<string>",
"name": "<string>",
"type": 123,
"value": "<string>"
},
"ownerId": "<string>"
}
]
},
"defaultApiFee": {
"balanceType": "<string>",
"name": "<string>",
"value": "<string>",
"ownerId": "<string>",
"instanceRef": "<string>",
"instanceBaseRef": "<string>"
}
}
headers = {
"tenantId": "<tenantid>",
"token": "<token>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
tenantId: '<tenantid>',
token: '<token>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
type: '<string>',
feeValue: {
balanceType: '<string>',
name: '<string>',
value: '<string>',
ownerId: '<string>',
instanceRef: '<string>',
instanceBaseRef: '<string>'
},
paidBy: '<string>',
feeSharing: {
source: {
balanceType: '<string>',
name: '<string>',
value: '<string>',
ownerId: '<string>',
instanceRef: '<string>',
instanceBaseRef: '<string>'
},
destination: {
balanceType: '<string>',
name: '<string>',
value: '<string>',
ownerId: '<string>',
instanceRef: '<string>',
instanceBaseRef: '<string>'
},
ownerId: '<string>'
},
isDynamic: true,
feeApiAddress: '<string>',
group: 123,
order: 123,
ownerId: '<string>',
appliedTo: '<string>',
feeLimit: {
enforcementPoint: '<string>',
priority: 123,
order: 123,
action: '<string>',
ownerId: '<string>',
conditions: [
{
priority: 123,
order: 123,
requirementType: '<string>',
operation: '<string>',
objectRef: {ownerId: '<string>', name: '<string>', type: 123, value: '<string>'},
value: {ownerId: '<string>', name: '<string>', type: 123, value: '<string>'},
ownerId: '<string>'
}
]
},
defaultApiFee: {
balanceType: '<string>',
name: '<string>',
value: '<string>',
ownerId: '<string>',
instanceRef: '<string>',
instanceBaseRef: '<string>'
}
})
};
fetch('https://gateway.7exchange.io/wallet/1.0.0/{walletId}/asset/{assetId}/operation/{operationId}/fee', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"reason": "<string>",
"path": "<string>",
"method": "<string>",
"message": "<string>",
"timestamp": "<string>",
"status": 123
}"<unknown>"Fee
Create New fee
POST
/
{walletId}
/
asset
/
{assetId}
/
operation
/
{operationId}
/
fee
cURL
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
⌘I

